DCMTK: dcmtk::log4cplus::LogLevelManager Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
dcmtk::log4cplus::LogLevelManager Class Reference

This class is used to "manage" LogLevel definitions. More...

## Classes
struct | LogLevelToStringMethodRec
union | LogLevelToStringMethodRec.__unnamed0__

## Public Member Functions
log4cplus::tstring const & | toString (LogLevel ll) const
| This method is called by all Layout classes to convert a LogLevel into a string.
LogLevel | fromString (const log4cplus::tstring &s) const
| This method is called by all classes internally to log4cplus to convert a string into a LogLevel.
void | pushToStringMethod (LogLevelToStringMethod newToString)
| When creating a "derived" LogLevel, a `LogLevelToStringMethod` should be defined and registered with the LogLevelManager by calling this method.
void | pushToStringMethod (LogLevelToStringMethod_1_0 newToString)
| For compatibility with log4cplus 1.0.x.
void | pushFromStringMethod (StringToLogLevelMethod newFromString)
| When creating a "derived" LogLevel, a `StringToLogLevelMethod` should be defined and registered with the LogLevelManager by calling this method.

## Detailed Description

This class is used to "manage" LogLevel definitions.

This class is also how "derived" LogLevels are created. Here are the steps to creating a "derived" LogLevel:

1. Create a LogLevel constant (greater than 0)
2. Define a string to represent that constant
3. Implement a LogLevelToStringMethod method.
4. Implement a StringToLogLevelMethod method.
5. create a "static initializer" that registers those 2 methods with the LogLevelManager singleton.

## Class Documentation

## ◆ dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec

struct dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec

## ◆ dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec.__unnamed0__

union dcmtk::log4cplus::LogLevelManager::LogLevelToStringMethodRec.__unnamed0__

## Member Function Documentation

## ◆ fromString()

LogLevel dcmtk::log4cplus::LogLevelManager::fromString | ( | const log4cplus::tstring & | s | ) | const

This method is called by all classes internally to log4cplus to convert a string into a LogLevel.

Note: It traverses the list of `StringToLogLevelMethod` to do this, so all "derived" LogLevels are recognized as well.

## ◆ pushFromStringMethod()

void dcmtk::log4cplus::LogLevelManager::pushFromStringMethod | ( | StringToLogLevelMethod | newFromString | ) |

When creating a "derived" LogLevel, a `StringToLogLevelMethod` should be defined and registered with the LogLevelManager by calling this method.

See also
  pushToStringMethod

## ◆ pushToStringMethod()

void dcmtk::log4cplus::LogLevelManager::pushToStringMethod | ( | LogLevelToStringMethod | newToString | ) |

When creating a "derived" LogLevel, a `LogLevelToStringMethod` should be defined and registered with the LogLevelManager by calling this method.

See also
  pushFromStringMethod

## ◆ toString()

log4cplus::tstring const & dcmtk::log4cplus::LogLevelManager::toString | ( | LogLevel | ll | ) | const

This method is called by all Layout classes to convert a LogLevel into a string.

Note: It traverses the list of `LogLevelToStringMethod` to do this, so all "derived" LogLevels are recognized as well.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/loglevel.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2